Bug 181502 - no sound (not even on text console)
no sound (not even on text console)
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-14 12:58 EST by Tru Huynh
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-24 10:20:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
system-config-soundcard output (11.93 KB, text/plain)
2006-02-14 12:58 EST, Tru Huynh
no flags Details
system-config-soundcard ouput (2) (11.93 KB, text/plain)
2006-02-14 13:00 EST, Tru Huynh
no flags Details
system-config-soundcard ouput (3) (11.94 KB, text/plain)
2006-02-14 13:01 EST, Tru Huynh
no flags Details
system-config-soundcard ouput (4) (11.20 KB, text/plain)
2006-02-14 13:01 EST, Tru Huynh
no flags Details
/etc/asound.state (8.04 KB, text/plain)
2006-02-15 06:29 EST, Tru Huynh
no flags Details
cut/paste of the alsamixer display (10.31 KB, text/plain)
2006-02-15 06:53 EST, Tru Huynh
no flags Details
find /proc/asound/ -type f | xargs head -100 > proc.asound.txt (11.92 KB, text/plain)
2006-02-15 07:03 EST, Tru Huynh
no flags Details

  None (edit)
Description Tru Huynh 2006-02-14 12:58:23 EST
Description of problem:
00:1e.2 Multimedia audio controller: Intel Corporation 82801FB/FBM/FR/FW/FRW
(ICH6 Family) AC'97 Audio Controller (rev 04)
on a MSI MS-1035 laptop can't get any sound :(

Version-Release number of selected component (if applicable):
Advanced Linux Sound Architecture Driver Version 1.0.10rc3 (Mon Nov 07 13:30:21
2005 UTC).


How reproducible:
always

Steps to Reproduce:
1.install with acpi=ht
2.no sound
3.
  
Actual results:
no sound

Expected results:
some system beep at least on text mode

Additional info:
Comment 1 Tru Huynh 2006-02-14 12:58:23 EST
Created attachment 124628 [details]
system-config-soundcard output
Comment 2 Tru Huynh 2006-02-14 13:00:50 EST
Created attachment 124629 [details]
system-config-soundcard ouput (2)
Comment 3 Tru Huynh 2006-02-14 13:01:16 EST
Created attachment 124630 [details]
system-config-soundcard ouput (3)
Comment 4 Tru Huynh 2006-02-14 13:01:48 EST
Created attachment 124631 [details]
system-config-soundcard ouput (4)
Comment 5 Martin Stransky 2006-02-15 04:48:09 EST
Could you check "External Amplifier" switch or some other one? It can be a
problem with mixer settings, you can use "alsamixer" utility....
Comment 6 Tru Huynh 2006-02-15 06:28:55 EST
there's no hardware switches, just Fn+F7/8/9 for sound+/-/mute.
no dice :(

the hardware works fine under win*XP :(
Comment 7 Tru Huynh 2006-02-15 06:29:30 EST
Created attachment 124669 [details]
/etc/asound.state
Comment 8 Martin Stransky 2006-02-15 06:45:20 EST
Just run alsamixer on console....
Comment 9 Tru Huynh 2006-02-15 06:53:45 EST
Created attachment 124671 [details]
cut/paste of the alsamixer display
Comment 10 Tru Huynh 2006-02-15 06:55:31 EST
the last entry (External Amplifier) can only mutted MM or 00.

:(

Tru
Comment 11 Tru Huynh 2006-02-15 07:03:49 EST
Created attachment 124672 [details]
find /proc/asound/ -type f | xargs head -100 > proc.asound.txt
Comment 12 Tru Huynh 2006-02-15 08:37:07 EST
I have booted in rescue mode from the FC4 CD1 (kernel 2.6.11-1.1369_FC4), and I
can get a system "beep" from the text console, which I could not under the
current kernel (2.6.15-1.1831_FC4) after a normal startup.

I am not sure if it helps, but the RHEL4 update 2 kernel in rescue mode does not
beep (2.6.9-22.EL), nor the current version 2.6.9-22.0.2.EL
with both default alsa-lib and your 1.0.10-1.RHEL4 from
http://people.redhat.com/stransky/alsa/

command line -> linux rescue acpi=ht

Comment 13 Tru Huynh 2006-02-15 11:59:46 EST
last news, I have tried the RHEL3 update 6 version:
[root@msi root]# cat /proc/cmdline 
ro root=LABEL=/1 hdb=ide-scsi

system beep ok (init 3)
the card is detected and configured properly -> beep in konsole (init 5)
kernel 2.4.21-37.0.1.EL
/etc/modules.conf
...
alias sound-slot-0 i810_audio
post-install sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null 2>&1
|| :
pre-remove sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -S >/dev/null 2>&1 || :
...
**but**

when I tried to re-run redhat-config-soundcard, playing the sample test sound
I get:
sox: Unable to set audio speed to 22254 (set to 48000)

and the konsole can no longer beep...

/etc/sysconfig/hwconf:
...
class: AUDIO
bus: PCI
detached: 0
driver: i810_audio
desc: "Intel Corporation|82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Audio Controller"
vendorId: 8086
deviceId: 266e
subVendorId: 1462
subDeviceId: 0351
pciType: 1
pcibus:  0
pcidev: 1e
pcifn:  2
-

...

Comment 14 Martin Stransky 2006-02-17 04:46:29 EST
In RHEL3, OSS is used instead of ALSA. External Amplifier is only a switch
between on/off. I'm quite sure that you only need to check some mixer setting
and sound will work...
Comment 15 Tru Huynh 2006-02-20 05:16:46 EST
I haven't managed to find the right settings (neither linux version).
In the best case, I have the system beep and as soon as I try to play
anything I get the "Unable to set audio speed ..." error message and no sound.
In the worst case, no system beep and no error messages.

What worries me most is the snd_intel8x0 modules not being loaded
as reported by lsmod(8).

I tried the latest knoppix version (kernel 2.6.12) but the alsa-lib did not
detect the sound card :(

knoppix@4[~]$ cat /proc/cmdline
ramdisk_size=100000 init=/etc/init lang=us apm=power-off vga=791
initrd=minirt.gz nomce quiet BOOT_IMAGE=knoppix BOOT_IMAGE=linux lang=fr
acpi=off fb102x768 noddc

lspci:
...
0000:00:1e.2 Multimedia audio controller: Intel Corp. 82801FB/FBM/FR/FW/FRW
(ICH6 Family) AC'97 Audio Controller (rev 04)
...

knoppix@4[~]$ aplay -l
aplay: device_list:218: no soundcards found...
knoppix@4[~]$ lsmod
...
0000:04:04.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev ac)
0000:04:04.1 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev ac)
0000:04:04.2 FireWire (IEEE 1394): Ricoh Co Ltd R5C552 IEEE 1394 Controller (rev 04)
0000:04:09.0 Network controller: Intel Corp. PRO/Wireless 2200BG (rev 05)

knoppix@4[~]$ cat /proc/cmdline
ramdisk_size=100000 init=/etc/init lang=us apm=power-off vga=791
initrd=minirt.gz nomce quiet BOOT_IMAGE=knoppix BOOT_IMAGE=linux lang=fr
acpi=off fb102x768 noddc

knoppix@4[~]$ aplay -l
aplay: device_list:218: no soundcards found...
knoppix@4[~]$ lsmod
Module                  Size  Used by
...
i810_audio             36116  1 
ac97_codec             20236  1 i810_audio
soundcore              11104  3 snd,i810_audio
...
knoppix@4[asound]$ find /proc/asound -type f | xargs head -100
==> /proc/asound/modules <==

==> /proc/asound/cards <==
--- no soundcards ---

==> /proc/asound/devices <==

==> /proc/asound/version <==
Advanced Linux Sound Architecture Driver Version 1.0.9rc2  (Thu Mar 24 10:33:39
2005 UTC).

==> /proc/asound/oss/sndstat <==
Sound Driver:3.8.1a-980706 (ALSA v1.0.9rc2 emulation code)
Kernel: Linux Knoppix 2.6.12 #2 SMP Tue Aug 9 23:20:52 CEST 2005 i686
Config options: 0

Installed drivers:
Type 10: ALSA emulation

Card config:
--- no soundcards ---

Audio devices: NOT ENABLED IN CONFIG

Synth devices: NOT ENABLED IN CONFIG

Midi devices: NOT ENABLED IN CONFIG

Timers: NOT ENABLED IN CONFIG

Mixers: NOT ENABLED IN CONFIG

==> /proc/asound/oss/devices <==

Comment 16 Martin Stransky 2006-02-20 06:19:46 EST
I can't help you with knoppix....
Comment 17 Tru Huynh 2006-02-20 06:34:27 EST
sure :P I wasn't asking for help on knoppix, just to let you know
that the sound problem was not specific to Fedora/Red Hat!

Thx,

Tru
Comment 18 Martin Stransky 2006-02-20 08:01:42 EST
okay, thanks :)
Comment 19 Martin Stransky 2006-03-30 04:23:30 EST
On my how-to page are new alsa-drivers for RHEL/FC, you can check it....
Comment 20 Martin Stransky 2006-05-09 06:06:18 EDT
any news? have you chacked the latest drivers?

Note You need to log in before you can comment on or make changes to this bug.